using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;

public class DeskCustomizeWindowManager : BasePhotoWindowManager
{
	public override void Awake()
	{
		base.Awake();
	}

	public override void Start()
	{
		base.Start();
	}

	public void Save()
	{
		List<DeskManager.InstansData> item_inst_data = DeskManager.item_inst_data;
		for (int i = 0; i < item_inst_data.Count; i++)
		{
			if (!(item_inst_data[i].item_object == null))
			{
				Transform transform = item_inst_data[i].item_object.transform;
				item_inst_data[i].position = transform.position;
				item_inst_data[i].rotation = transform.rotation.eulerAngles;
				item_inst_data[i].scale = transform.localScale;
			}
		}
	}

	protected override string save_fullpath_uidata
	{
		get
		{
			string fullPath = Path.GetFullPath(".\\");
			string str = fullPath + "SaveData";
			return str + "/CustomizeUISetting.save";
		}
	}

	protected override string save_header_uidata
	{
		get
		{
			return "CM3D2_CustomizeUISetting";
		}
	}
}
